Loading...
Searching...
No Matches
RDKit::GasteigerParams Class Reference

`#include <GasteigerParams.h>`

## Public Member Functions

| ~GasteigerParams ()
DOUBLE_VECT | getParams (std::string elem, std::string mode, bool throwOnFailure=false) const
| GasteigerParams (std::string paramData="")

## Static Public Member Functions

static const GasteigerParams * | getParams (const std::string &paramData="")

## Detailed Description

Definition at line 30 of file GasteigerParams.h.

## Constructor & Destructor Documentation

## ~GasteigerParams()

RDKit::GasteigerParams::~GasteigerParams | ( |  | ) |

inline

Definition at line 45 of file GasteigerParams.h.

## GasteigerParams()

RDKit::GasteigerParams::GasteigerParams | ( | std::string | paramData = `""` | ) |

## Member Function Documentation

## getParams() [1/2]

static const GasteigerParams * RDKit::GasteigerParams::getParams | ( | const std::string & | paramData = `""` | ) |

static

## getParams() [2/2]

DOUBLE_VECT RDKit::GasteigerParams::getParams | ( | std::string | elem,
|  | std::string | mode,
|  | bool | throwOnFailure = `false`
| ) |  | const

inline

Definition at line 47 of file GasteigerParams.h.

The documentation for this class was generated from the following file:

- GasteigerParams.h